#
# spec file for package mdadm (Version 2.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client opensp openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed sgmltool strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           mdadm
Version:        2.2
Release:        30.2
BuildRequires:  opensp sgmltool
PreReq:         %fillup_prereq %insserv_prereq
Obsoletes:      raidtools
Autoreqprov:    on
Group:          System/Base
License:        GPL
URL:            http://www.cse.unsw.edu.au/~neilb/source/mdadm/
Summary:        Utility for Configuring MD Setup
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Source1:        Software-RAID.HOWTO.tar.bz2
Source2:        sysconfig.mdadm
Source3:        mdadmd
Source4:        boot.md
Source5:        mdrun
Source6:        raidautorun.c
Patch0:         %{name}-%{version}-unused_result.diff
Patch1:         %{name}-%{version}-bug144647-array.init.diff
Patch2:         %{name}-%{version}-bug144647-update_super1-memcpy.diff
Patch3:         %{name}-%{version}-bug144647-add_internal_bitmap0-memcpy.diff
Patch4:         %{name}-%{version}-assemble.diff
Patch5:         %{name}-%{version}-round_to_chunk.diff
Patch6:         %{name}-%{version}-detail.diff
Patch7:         %{name}-%{version}-write-mostly.diff
Patch8:         %{name}-%{version}-spares.diff

%description
Mdadm is a program that can be used to control Linux md devices. It is
intended to provide all the functionality of the mdtools and raidtools
programs but with a very different interface.



Authors:
--------
    Neil Brown <neilb@cse.unsw.edu.au>

%debug_package
%prep
%setup -q -a1
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8

%build
%{suse_update_config -f}
make CXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Wno-error"
gcc $RPM_OPT_FLAGS %{S:6} -o raidautorun
cd Software-RAID.HOWTO
sgml2html Software-RAID.HOWTO.sgml
sgml2txt Software-RAID.HOWTO.sgml

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/adm/fillup-templates
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/init.d}
install -d $RPM_BUILD_ROOT/lib/udev/devices
install -m 755 %{S:5} raidautorun $RPM_BUILD_ROOT/sbin/
install -m 755 %{S:4} %{S:3} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/
install -m 644 %{S:2} $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
ln -sf ../../etc/init.d/mdadmd $RPM_BUILD_ROOT/%{_sbindir}/rcmdadmd

%post
%{fillup_and_insserv -Y boot.md}

%postun
%restart_on_update mdadmd
%{insserv_cleanup}

%preun
%stop_on_removal mdadmd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) %config %{_sysconfdir}/init.d/*
%attr(640,root,disk) %dev(b,9,0) /lib/udev/devices/md0
%attr(640,root,disk) %dev(b,9,1) /lib/udev/devices/md1
%attr(640,root,disk) %dev(b,9,2) /lib/udev/devices/md2
%attr(640,root,disk) %dev(b,9,3) /lib/udev/devices/md3
%attr(640,root,disk) %dev(b,9,4) /lib/udev/devices/md4
%attr(640,root,disk) %dev(b,9,5) /lib/udev/devices/md5
%attr(640,root,disk) %dev(b,9,6) /lib/udev/devices/md6
%attr(640,root,disk) %dev(b,9,7) /lib/udev/devices/md7
%attr(640,root,disk) %dev(b,9,8) /lib/udev/devices/md8
%attr(640,root,disk) %dev(b,9,9) /lib/udev/devices/md9
%attr(640,root,disk) %dev(b,9,10) /lib/udev/devices/md10
%attr(640,root,disk) %dev(b,9,11) /lib/udev/devices/md11
%attr(640,root,disk) %dev(b,9,12) /lib/udev/devices/md12
%attr(640,root,disk) %dev(b,9,13) /lib/udev/devices/md13
%attr(640,root,disk) %dev(b,9,14) /lib/udev/devices/md14
%attr(640,root,disk) %dev(b,9,15) /lib/udev/devices/md15
%attr(640,root,disk) %dev(b,9,16) /lib/udev/devices/md16
%attr(640,root,disk) %dev(b,9,17) /lib/udev/devices/md17
%attr(640,root,disk) %dev(b,9,18) /lib/udev/devices/md18
%attr(640,root,disk) %dev(b,9,19) /lib/udev/devices/md19
%attr(640,root,disk) %dev(b,9,20) /lib/udev/devices/md20
%attr(640,root,disk) %dev(b,9,21) /lib/udev/devices/md21
%attr(640,root,disk) %dev(b,9,22) /lib/udev/devices/md22
%attr(640,root,disk) %dev(b,9,23) /lib/udev/devices/md23
%attr(640,root,disk) %dev(b,9,24) /lib/udev/devices/md24
%attr(640,root,disk) %dev(b,9,25) /lib/udev/devices/md25
%attr(640,root,disk) %dev(b,9,26) /lib/udev/devices/md26
%attr(640,root,disk) %dev(b,9,27) /lib/udev/devices/md27
%attr(640,root,disk) %dev(b,9,28) /lib/udev/devices/md28
%attr(640,root,disk) %dev(b,9,29) /lib/udev/devices/md29
%attr(640,root,disk) %dev(b,9,30) /lib/udev/devices/md30
%attr(640,root,disk) %dev(b,9,31) /lib/udev/devices/md31
%doc ANNOUNCE-2.0 ANNOUNCE-2.1 ANNOUNCE-2.2 COPYING ChangeLog README.initramfs TODO mdadm.conf-example mkinitramfs
%doc Software-RAID.HOWTO/Software-RAID.HOWTO*{.txt,.html}
%doc %{_mandir}/man?/*
/sbin/*
/lib/udev
%{_sbindir}/*
%{_var}/adm/fillup-templates/sysconfig.mdadm

%changelog -n mdadm
* Wed May 03 2006 - mjancar@suse.cz
- fix false SparesMissing error (#171326)
* Wed Apr 26 2006 - hare@suse.de
- Fix init script dependencies
- Implement MDADM_DEVICE_TIMEOUT to set a timeout for
  udevsettle (#149979)
* Tue Apr 25 2006 - mjancar@suse.cz
- add static device nodes for udev (#168824)
* Wed Apr 19 2006 - mjancar@suse.cz
- set $BOOT_MD_USE_MDADM_CONFIG to "yes" by default (#155120)
* Fri Apr 07 2006 - mjancar@suse.cz
- detach mdadmd from tty in rcmdadmd (#160881)
* Mon Apr 03 2006 - mjancar@suse.cz
- fix garbled output with --detail (#160827)
- fix fix write-mostly with --add and --re-add (#162968)
* Fri Mar 24 2006 - mjancar@suse.cz
- add /sbin/raidautorun (#159460)
* Wed Mar 08 2006 - mjancar@suse.cz
- add $BOOT_MD_USE_MDADM_CONFIG sysconfig variable (#155120)
* Thu Feb 09 2006 - mjancar@suse.cz
- round free size to chunk size multiply on --create (#148562)
* Tue Feb 07 2006 - mjancar@suse.cz
- move boot.multipath to Should-Start instead of Required-Start
* Mon Feb 06 2006 - mjancar@suse.cz
- add "Obsoletes: raidtools"
- start boot.md after boot.multipath
- call mdadm without -a from mdrun, an argument is required in 2.2
* Mon Feb 06 2006 - mjancar@suse.de
- don't start mdadmd by default
* Sun Feb 05 2006 - mjancar@suse.cz
- include option for email to be sent on start (#142105)
- fix missing md autostart due to raidtools dropped (#148234)
  * include mdrun script from Debian
  * create boot.md initscipt
* Sun Feb 05 2006 - schwab@suse.de
- Fix memset parameters.
* Thu Feb 02 2006 - mjancar@suse.cz
- fix segfault on --assemble (#146514)
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - olh@suse.de
- fix uninitialized variable, memset call and memcmp/memcpy bug
  mdadm.bug144647-array.init.patch
  mdadm.bug144647-update_super1-memcpy.patch
  mdadm.bug144647-add_internal_bitmap0-memcpy.patch
* Wed Jan 11 2006 - mjancar@suse.cz
- update ro 2.2
* Tue Dec 20 2005 - ro@suse.de
- at least output errors if they occur (instead of ignoring)
* Wed Nov 30 2005 - schwab@suse.de
- Fix broken formats.
* Tue Oct 25 2005 - aj@suse.de
- Build with -fno-strict-aliasing.
* Wed Oct 12 2005 - mjancar@suse.cz
- update to 2.1
* Thu Jul 28 2005 - anicka@suse.cz
- update to 1.12.0
* Wed Jun 15 2005 - meissner@suse.de
- use RPM_OPT_FLAGS correctly.
* Tue Apr 19 2005 - postadal@suse.de
- updated to version 1.11.0
- fixed for gcc 4.0
- removed obsoleted patch config-fix
* Wed Mar 30 2005 - postadal@suse.cz
- fixed parsing command line option '--config=partions' [#74603]
* Fri Feb 04 2005 - postadal@suse.cz
- updated to version 1.9.0
* Thu Jan 13 2005 - postadal@suse.cz
- updated to version 1.8.1
- extended comment in sysconfig.mdadm [#48567]
* Fri Aug 06 2004 - postadal@suse.cz
- updated to version 1.6.0
  * added --auto= and --assume-clean options
  * added "degraded" and "recovering" options to the "Status:" entry
* Tue Feb 10 2004 - postadal@suse.cz
- updated to version 1.5.0
  * new commands "mdassemble"
  * support for raid6 as found in 2.6.2
  * support partitioned md arrays with a different major number and
  naming scheme
  * added "SparesMissing" event when --monitor first sees an array and
  it doesn't have the enough spare devices.
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Mon Dec 01 2003 - fehr@suse.de
- fix quoting problem in start script (#33392)
* Fri Aug 29 2003 - fehr@suse.de
- add PreReq for fillup
* Tue Aug 26 2003 - fehr@suse.de
- add %%stop_on_removal and %%restart_on_update
* Thu Aug 14 2003 - fehr@suse.de
- add missing activation metadata in sysconfig (#28901)
* Tue Jul 29 2003 - fehr@suse.de
- update to new version 1.3.0 of package
* Mon Apr 14 2003 - postadal@suse.cz
- fixed init script (added return value for unimplemented reload function)
* Mon Mar 31 2003 - postadal@suse.cz
- added buildroot, init script, sysconfig
- bzip2 sources and cleaned specfile
* Thu Mar 20 2003 - fehr@suse.de
- update to version 1.2.0 of package
* Mon Mar 03 2003 - fehr@suse.de
- update to version 1.1.0 of package
* Mon Dec 02 2002 - fehr@suse.de
- Fix for new glibc/gcc
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Sep 13 2002 - lmb@suse.de
- Fix for 64bit arch; ioctl returns long instead of int (#20339)
* Fri Aug 23 2002 - lmb@suse.de
- Multipath arrays can now be build manually even without a superblock.
- One debugging chunk removed from patch.
* Tue Aug 13 2002 - lmb@suse.de
- Fix for the assembly of multipath arrays.
* Mon Aug 12 2002 - lmb@suse.de
- Added patch to support the enhanced multipath features.
* Mon Aug 05 2002 - fehr@suse.de
- make SuSE package from version 1.0.1 of mdadm
